<div id="body" class="container-fluid">
  <form [formGroup]="form" novalidate>
    <mat-accordion>
      <mat-expansion-panel [expanded]="true" class="mb-1">
        <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
          <mat-panel-title><h6>Support For</h6></mat-panel-title>
        </mat-expansion-panel-header>
        <div class="form-row">
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col-2 text-danger">Support For:</label>
            <div class="col-4">
              <dx-select-box [dataSource]="types" formControlName="type" (onValueChanged)="onTypeChanged($event)"></dx-select-box>
            </div>
          </div>
        </div>
        <div *ngIf="showEvent">
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col-2 text-danger">Event ID:</label>
              <div class="col-4">
                <input type="text" class="form-control form-control-sm" formControlName="eventId" />
              </div>
              <div class="col-2">
                <button type="button" class="btn btn-sm btn-primary btn-block" (click)="searchEvent()">Search</button>
              </div>
            </div>
          </div>
        </div>
        <div *ngIf="showOrder">
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col-2 text-danger">FTN/M5 #:</label>
              <div class="col-4">
                <input type="text" class="form-control form-control-sm" formControlName="ftn" />
              </div>
              <div class="col-2">
                <button type="button" class="btn btn-sm btn-primary btn-block" (click)="searchOrder()">Search</button>
              </div>
            </div>
          </div>
        </div>
        <div *ngIf="showCPT">
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col-2 text-danger">CPT #:</label>
              <div class="col-4">
                <input type="text" class="form-control form-control-sm" formControlName="cptNo" />
              </div>
              <div class="col-2">
                <button type="button" class="btn btn-sm btn-primary btn-block" (click)="searchCPT()">Search</button>
              </div>
            </div>
          </div>
        </div>
        <div *ngIf="showRedesign">
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col-2 text-danger">Redesign:</label>
              <div class="col-4">
                <input type="text" class="form-control form-control-sm" formControlName="redesign" />
              </div>
              <div class="col-2">
                <button type="button" class="btn btn-sm btn-primary btn-block" (click)="searchRedesign()">Search</button>
              </div>
            </div>
          </div>
        </div>
        <div *ngIf="showBPM">
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col-2 text-danger">H6:</label>
              <div class="col-4">
                <input type="text" class="form-control form-control-sm" formControlName="h6" />
              </div>
              <div class="col-2">
                <button type="button" class="btn btn-sm btn-primary btn-block" (click)="searchBPM()">Search</button>
              </div>
            </div>
          </div>
        </div>
        <div *ngIf="showDeleteOrder">
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col-2 text-danger">Order:</label>
              <div class="col-4">
                <input type="text" class="form-control form-control-sm" formControlName="orderId" />
              </div>
              <div class="col-2">
                <button type="button" class="btn btn-sm btn-primary btn-block" (click)="deleteOrder()">Delete</button>
              </div>
            </div>
          </div>
        </div>
        <div *ngIf="showExtractOrder">
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col-2 text-danger"></label>
              <div class="col-4">
                <dx-select-box [dataSource]="orderTransactions" formControlName="orderTransaction"></dx-select-box>
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col-2 text-danger">Mach5 Order Id:</label>
              <div class="col-4">
                <input type="text" class="form-control form-control-sm" formControlName="m5OrderId" />
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col-2 text-danger">Related Mach5 Order Id:</label>
              <div class="col-4">
                <input type="text" class="form-control form-control-sm" formControlName="relatedM5OrderId" />
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col-2 text-danger">Order Type:</label>
              <div class="col-4">
                <input type="text" class="form-control form-control-sm" formControlName="orderType" />
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col-2 text-danger">Device Id:</label>
              <div class="col-4">
                <input type="text" class="form-control form-control-sm" formControlName="deviceId" />
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <div class="col-2">
                <button type="button" class="btn btn-sm btn-primary btn-block" (click)="extractOrder()">Extract</button>
              </div>
            </div>
          </div>
        </div>
      </mat-expansion-panel>
    </mat-accordion>
  </form>
  <mat-accordion>
    <mat-expansion-panel [expanded]="true" class="mb-1">
      <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
        <mat-panel-title><h6>Results</h6></mat-panel-title>
      </mat-expansion-panel-header>
      <div *ngFor="let table of tables" class="mb-1">
        <dx-data-grid [dataSource]="table"
                      [paging]="false"
                      [rowAlternationEnabled]="true"
                      [showBorders]="true"
                      [columnAutoWidth]="true"
                      [allowColumnResizing]="true"
                      [columnResizingMode]="'nextColumn'">
        </dx-data-grid>
      </div>
    </mat-expansion-panel>
  </mat-accordion>
</div>
